Поддерживаемые версии ОС Linux

BI-сервер и сервер безопасности могут быть установлены на 64-х разрядный дистрибутив ОС Linux одной из следующих версий:

Версия ОС семейства Linux Версия дистрибутива
Astra Linux Дистрибутивы версий SE 1.6, 1.7 и CE 2.12
ALT Linux Дистрибутив версии 8
Debian Дистрибутив версии 9
Ubuntu Дистрибутив версии 18.04 LTS
CentOS Дистрибутивы версий 7 и 8
Red Hat Enterprise Linux Дистрибутивы версий 7 и 8

Для корректной работы используйте актуальные библиотеки из системных репозиториев.

Примечание. Необходимые библиотеки содержатся в дистрибутиве BI-сервера для ОС Linux и не требуют дополнительной установки. При установке недостающих библиотек отображается соответствующее сообщение.

Список библиотек для Astra Linux, ALT Linux, Debian, Ubuntu

Список библиотек для CentOS, Red Hat Enterprise Linux

Для работы BI-сервера требуется графический дисплей: физический или виртуальный xvfb. Рекомендуемым вариантом настройки является вывод графики через виртуальный Xvfb, альтернативным - через физический дисплей X-сервер (X.org) с настройкой доступа к дисплею и пользовательской сессии.

Преимущества виртуального дисплея в том, что он не требует установки графического окружения, унифицирует системы, не требует авторизации пользователя в ОС и доступа к его X-сессии.

Примечание. Работа BI-сервера и сервера безопасности в указанных версиях ОС Linux проверена и функционирует в соответствии с имеющимся списком ограничений.

См. также:

Системные требования к серверу веб-приложения | Системные требования к BI-серверу и серверу безопасности | Поддержка работы в виртуальных средах